#!/bin/sh

cd /var/www/html/services/custombuild

RET=0

get_file()
{
	FILE=$1
	URL=$2
	T=$FILE.temp
	OUT=$FILE.out
	wget --no-check-certificate -O $T $URL > $OUT 2>&1

	if [ ! -s $T ]; then
		echo "Error downloading $URL to $T";
		cat $OUT;
		RET=1
	else
		mv -f $T $FILE
	fi
	rm -f $T $OUT
}

get_file versions_cwaf.txt https://waf.comodo.com/doc/comodo_versions.txt
get_file versions_litespeed.txt http://www.litespeedtech.com/packages/versions.txt
get_file versions_cl.txt http://repo.cloudlinux.com/cloudlinux/sources/da/versions.txt

exit $RET;
